/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * Copyright (C) 2010 Red Hat, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Jan Görig <jgorig@redhat.com>
 * 	   Adam Tkac <atkac@redhat.com>
 */

#ifndef LIBNMSERVER_INTERNAL_H
#define LIBNMSERVER_INTERNAL_H

#include <stdbool.h>
#include <dbus/dbus.h>
#include <pthread.h>
#include "libnmserver.h"
#include "nslist.h"

struct nmserver_control {
	nmserver_nscallback_t nscallback;
	nmserver_errcallback_t errcallback;
	DBusConnection *conn;
	nslist_t nameservers;
	int comm_pipe[2];
	bool is_threaded;
	pthread_t thread;
	void *data;
};

#endif
